> For the complete documentation index, see [llms.txt](https://docs.lowcoder.cloud/lowcoder-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lowcoder.cloud/lowcoder-documentation/publish-apps/embed-an-app/embed-app-in-wordpress-pages.md).

# Embed App in WordPress Pages

It is also possible to embed Lowcoder Apps on any WordPress Page with simple Scripts, that we provide on sdk.lowcoder.cloud. This enables you to embed Lowcoder Apps even without deep knowledge of React or Web Development.

Place the standard JavaScript Files in your \<HEAD> part of the WordPress page.

```
<script src="https://unpkg.com/react@16.4.1/umd/react.production.min.js"></script>
<script src="https://unpkg.com/react-dom@16.4.1/umd/react-dom.production.min.js"></script>
```

And now the Lowcoder SDK Scripts, as the last tags before the \</BODY> closing tag.

```
<script src="https://sdk.lowcoder.cloud/bundle.js"></script>
```

Now you can place a small HTML snippet at the place where your App should be embedded:

```
<div class="lowcoder-module-container">
    <div id="lowcoder-embedding">
      <div class="lowcoder-module-display"></div>
      <input type="hidden" class="locoder-backend-url" value="https://api-service.lowcoder.cloud" />
      <script>
          var app_id_information = document.createElement("input");
          app_id_information.setAttribute("type", "hidden");
          app_id_information.setAttribute("class", "module-id");
          app_id_information.setAttribute("value", "66ab6af10390b00771b2e649");
          document.getElementById('lowcoder-embedding').appendChild(app_id_information);  
      </script>
    </div>
</div>
```

You can embed in this way multiple apps on a WordPress page.

We have created a WordPress Website and added two Lowcoder components. The 1st component is a sign up modal, and the 2nd component is an App. You may visit this site, below.

{% embed url="<http://demo-lowcoder.42web.io/>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lowcoder.cloud/lowcoder-documentation/publish-apps/embed-an-app/embed-app-in-wordpress-pages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
